import { Router } from 'express'
import { UsuarioController } from '@src/controller/Usuario'
import * as multer from 'multer'

var upload = multer({ dest: 'uploads/identifiaciones' })
const router = Router()

router.post('/', upload.single('identificacion'), UsuarioController.create)

router.post('/login', UsuarioController.login)

router.get('/', UsuarioController.getAll)

router.get('/:id([0-9]+)', UsuarioController.getOne)

router.get('/verifica/:id([0-9]+)', UsuarioController.verificar)

export default router
